Gecode::LinIntRel Class Reference

Linear relations over integer variables. More...

`#include <minimodel.hh>`

## Public Member Functions

| LinIntRel (const LinIntExpr &l, IntRelType irt, const LinIntExpr &r)
| Create linear relation for expressions l and r.
| LinIntRel (const LinIntExpr &l, IntRelType irt, int r)
| Create linear relation for expression l and integer r.
| LinIntRel (int l, IntRelType irt, const LinIntExpr &r)
| Create linear relation for integer l and expression r.
void | post (Home home, bool t, const IntPropLevels &ipls) const
| Post propagator for relation (if t is false for negated relation).
void | post (Home home, const BoolVar &b, bool t, const IntPropLevels &ipls) const
| Post reified propagator for relation (if t is false for negated relation).

## Detailed Description

Linear relations over integer variables.

Definition at line 335 of file minimodel.hh.

## Constructor & Destructor Documentation

## LinIntRel() [1/3]

Gecode::LinIntRel::LinIntRel | ( | const LinIntExpr & | l,
|  | IntRelType | irt,
|  | const LinIntExpr & | r )

inline

Create linear relation for expressions l and r.

Definition at line 44 of file int-rel.hpp.

## LinIntRel() [2/3]

Gecode::LinIntRel::LinIntRel | ( | const LinIntExpr & | l,
|  | IntRelType | irt,
|  | int | r )

inline

Create linear relation for expression l and integer r.

Definition at line 48 of file int-rel.hpp.

## LinIntRel() [3/3]

Gecode::LinIntRel::LinIntRel | ( | int | l,
|  | IntRelType | irt,
|  | const LinIntExpr & | r )

inline

Create linear relation for integer l and expression r.

Definition at line 52 of file int-rel.hpp.

## Member Function Documentation

## post() [1/2]

void Gecode::LinIntRel::post | ( | Home | home,
|  | bool | t,
|  | const IntPropLevels & | ipls ) const

inline

Post propagator for relation (if t is false for negated relation).

Definition at line 70 of file int-rel.hpp.

## post() [2/2]

void Gecode::LinIntRel::post | ( | Home | home,
|  | const BoolVar & | b,
|  | bool | t,
|  | const IntPropLevels & | ipls ) const

inline

Post reified propagator for relation (if t is false for negated relation).

Definition at line 76 of file int-rel.hpp.

The documentation for this class was generated from the following files:

- gecode/minimodel.hh
- gecode/minimodel/int-rel.hpp